> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> Lists all webhooks registered for the given Client ID.

**Required scopes:** `webhooks.configuration:rw`


## OpenAPI

````yaml /api/configuration/v3.5/openapi.json post /action/list_webhooks
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.5
servers:
  - url: https://api.livechatinc.com/v3.5/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_webhooks:
    post:
      tags:
        - Webhooks
      summary: List webhooks
      description: Lists all webhooks registered for the given Client ID.
      operationId: list-webhooks
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListWebhooksRequest'
            example:
              owner_client_id: 0805e283233042b37f460ed8fbf22160
      responses:
        '200':
          description: A list of registered webhooks.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Webhook'
              example:
                - id: pqi8oasdjahuakndw9nsad9na
                  url: http://myservice.com/webhooks
                  description: Test webhook
                  action: chat_deactivated
                  filters:
                    chat_presence:
                      user_ids:
                        values:
                          - johndoe@mail.com
                      my_bots: true
                  owner_client_id: asXdesldiAJSq9padj
                  type: license
components:
  schemas:
    ListWebhooksRequest:
      type: object
      required:
        - owner_client_id
      properties:
        owner_client_id:
          type: string
          description: >-
            The webhook owner (the Client ID for which the webhook is
            registered).
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Unique ID of the webhook.
        url:
          type: string
          description: The destination URL for the webhook.
        description:
          type: string
          description: The webhook description.
        action:
          type: string
          description: The action that triggers sending the webhook.
        secret_key:
          type: string
          description: The secret key sent in webhooks to verify the source.
        additional_data:
          type: array
          items:
            type: string
          description: Additional data arriving with the webhook.
        filters:
          $ref: '#/components/schemas/WebhookFilters'
        owner_client_id:
          type: string
          description: The Client ID that owns the webhook.
        type:
          type: string
          enum:
            - bot
            - license
          description: The webhook type.
    WebhookFilters:
      type: object
      properties:
        author_type:
          $ref: '#/components/schemas/WebhookFiltersAuthorType'
        only_my_chats:
          type: boolean
          description: >-
            If set to `true`: triggers webhooks only for chats with the property
            `source.client_id` set to my `client_id`.
        chat_presence:
          $ref: '#/components/schemas/WebhookChatPresenceFilter'
        source_type:
          type: array
          items:
            type: string
          description: >-
            An array of source types. If the source which triggered the webhook
            matches the filter, the webhook will be sent.


            - `my_client` — client ID of your app.

            - `other_clients` — client IDs other than your app's.

            - `system` — no client ID.
      description: The filters to check if a webhook should be triggered.
    WebhookFiltersAuthorType:
      type: string
      enum:
        - customer
        - agent
      description: >-
        The author type filter. Allowed only for the `incoming_event` and
        `event_updated` actions.
    WebhookChatPresenceFilter:
      type: object
      properties:
        user_ids:
          $ref: '#/components/schemas/WebhookChatPresenceUserIds'
        my_bots:
          type: boolean
          description: >-
            If set to `true`: if any bot owned by `owner_client_id` is in the
            chat, the webhook will be triggered.
      description: >-
        The filters to check if a webhook should be triggered based on user's
        presence in the chat.
    WebhookChatPresenceUserIds:
      type: object
      properties:
        values:
          type: array
          items:
            type: string
          description: >-
            An array of user IDs. If any specified user is in the chat, the
            webhook will be triggered.
        exclude_values:
          type: array
          items:
            type: string
          description: >-
            An array of user IDs. If any specified user is in the chat, the
            webhook will not be triggered.
      description: >-
        Only one filter (`values` or `exclude_values`) is allowed. Supports
        every user type (agent, customer).
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````